Fix bug 1125: iptables must be installed and configured if not present

Change-Id: I724798ac654358564749934165fa4ed11926cb6b
Signed-off-by: garciadeblas <gerardo.garciadeblas@telefonica.com>
diff --git a/installers/full_install_osm.sh b/installers/full_install_osm.sh
index a8ac828..49d5fa2 100755
--- a/installers/full_install_osm.sh
+++ b/installers/full_install_osm.sh
@@ -254,7 +254,7 @@
 #Safe unattended install of iptables-persistent
 function check_install_iptables_persistent(){
     echo -e "\nChecking required packages: iptables-persistent"
-    if dpkg -l iptables-persistent &>/dev/null; then
+    if ! dpkg -l iptables-persistent &>/dev/null; then
         echo -e "    Not installed.\nInstalling iptables-persistent requires root privileges"
         echo iptables-persistent iptables-persistent/autosave_v4 boolean true | sudo debconf-set-selections
         echo iptables-persistent iptables-persistent/autosave_v6 boolean true | sudo debconf-set-selections